org.apache.ignite.spi

## Interface IgniteSpiCloseableIterator<T>

All Superinterfaces:
  AutoCloseable, Iterator<T>, Serializable

All Known Subinterfaces:
  CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>, GridCloseableIterator<T>, IgniteHistoricalIterator, IgniteRebalanceIterator, UpdateSourceIterator<T>, WALIterator

All Known Implementing Classes:
  AbstractWalRecordsIterator, CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator, FilteredWalIterator, GridCacheQueryManager.ScanQueryIterator, GridCloseableIteratorAdapter, GridCloseableIteratorAdapterEx, GridDhtTxEnlistFuture, GridDhtTxQueryResultsEnlistFuture, GridEmptyCloseableIterator, GridSpiCloseableIteratorWrapper, IgniteRebalanceIteratorImpl, IgniteSingletonIterator, SingleSegmentLogicalRecordsIterator

    public interface IgniteSpiCloseableIterator<T>
    extends Iterator<T>, AutoCloseable, Serializable

Closeable iterator.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes the iterator and frees all the resources held by the iterator.

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### close

    void close()
        throws IgniteCheckedException

Closes the iterator and frees all the resources held by the iterator. Iterator can not be used any more after calling this method.

The method is invoked automatically on objects managed by the `try-with-resources` statement.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException` - In case of error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020